sigrok-fwextract-dreamsourcelab-dslogic: Revert to v0.97 firmware.
authorUwe Hermann <uwe@hermann-uwe.de>
Fri, 17 Nov 2017 19:16:47 +0000 (20:16 +0100)
committerUwe Hermann <uwe@hermann-uwe.de>
Tue, 21 Nov 2017 18:17:53 +0000 (19:17 +0100)
The v0.98 firmware seems to require quite a few changes in libsigrok
since the protocol changed upstream. Until someone implements support
for the v0.98 firmware, we'll stay at v0.97 which is known to work on
all DSLogic devices with the current libsigrok driver.

This fixes bug #1049.

firmware/dreamsourcelab-dslogic/sigrok-fwextract-dreamsourcelab-dslogic

index cc6cd1da4afabfdb55c37551069288f73283e97c..4e357f31087347365ab3afebf0bb254b8ec01d89 100755 (executable)
@@ -26,9 +26,9 @@ if [ -z $PREFIX ]; then
 fi
 FWDIR="$PREFIX/share/sigrok-firmware"
 
-# Use the upstream 0.98 firmware/bitstream set.
-# Only firmware/bitstream >= 0.97 is supported in libsigrok >= 20170621.
-FWURL="https://github.com/DreamSourceLab/DSView/raw/040475c67a9660a23ad07c905367bcae76b8392c/DSView/res"
+# Use the upstream 0.97 firmware/bitstream set. This is the only supported
+# set of files in libsigrok >= 20170621.
+FWURL="https://github.com/DreamSourceLab/DSView/raw/886b847c21c606df3138ce7ad8f8e8c363ee758b/DSView/res"
 
 echo "Installing into: $FWDIR"